package lib;

/**
 * Observer design pattern
 * @author wkillian
 *
 */
public interface Observer {

	/**
	 * Callback received by Observer from some Observable object
	 * @param src the source Object
	 * @param tag associated tag for event
	 * @param eventData associated data for event
	 */
	public void observableUpdated(Observable src, String tag, Object eventData);
}
