package mvc;

import lib.Observable;
import lib.Observer;

/**
 * The View component of MVC. It is both Observable (since we need to signal back to the Controller) and an Observer
 * @author wkillian
 *
 */
public abstract class View extends Observable implements Observer {

	public abstract void display();
}
